$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.172.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.172.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B953C651E2F0A9B46D6CC7289A16EDB09FF66C370B78DDA8540CACCCF9BB1D4A'
  checksumType = 'sha256'
  checksum64 = 'B953C651E2F0A9B46D6CC7289A16EDB09FF66C370B78DDA8540CACCCF9BB1D4A'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.172-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
